CREATE TABLE RELACPRODOLCX 
(
    CDFILIALOL    	  VARCHAR(4)      	NOT NULL, 
    CDPRODUTOL    	  VARCHAR2(10)     	NOT NULL,
    CDPRODCAIXA   	  VARCHAR2(10)    	NOT NULL,
       CONSTRAINT PK_RELACPRODOLCX PRIMARY KEY (CDFILIALOL, CDPRODUTOL),
	NRORG             NUMBER 	    	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)   	DEFAULT 'S' 					NOT NULL
      CONSTRAINT CKC_IDATIVO_RELACPRODOLCX CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        DATE              NULL,
    DTULTATU          DATE              NULL,
    NRORGINCLUSAO     NUMBER          	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    	DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    	DEFAULT '1'

)
/
 
CREATE INDEX OPL00004_FK ON RELACPRODOLCX (CDFILIALOL ASC)
/

ALTER TABLE RELACPRODOLCX
    ADD CONSTRAINT FKOPL00004FILIAL FOREIGN KEY  (CDFILIALOL)
       REFERENCES FILIAL (CDFILIAL)
/

CREATE INDEX OPL00005_FK ON RELACPRODOLCX (CDPRODUTOL ASC)
/

ALTER TABLE RELACPRODOLCX
    ADD CONSTRAINT FKOPL00005PRODUTO FOREIGN KEY  (CDPRODUTOL)
       REFERENCES PRODUTO (CDPRODUTO)
/

CREATE INDEX OPL00006_FK ON RELACPRODOLCX (CDPRODCAIXA ASC)
/

ALTER TABLE RELACPRODOLCX
    ADD CONSTRAINT FKOPL00006PRODUTO FOREIGN KEY  (CDPRODCAIXA)
       REFERENCES PRODUTO (CDPRODUTO)
/

ALTER TABLE TIPOOPEROPL ADD IDTPOPSACAIXA VARCHAR2(1) NULL
/

ALTER TABLE TIPOOPEROPL ADD CDTPOPSACAIXA VARCHAR2(2) NULL
/

ALTER TABLE TIPOOPEROPL ADD IDTPOPENCAIXA VARCHAR2(1) NULL
/

ALTER TABLE TIPOOPEROPL ADD CDTPOPENCAIXA VARCHAR2(2) NULL
/

CREATE INDEX OPL00007_FK ON TIPOOPEROPL ( IDTPOPSACAIXA ASC , CDTPOPSACAIXA ASC)
/

ALTER TABLE TIPOOPEROPL
    ADD CONSTRAINT FKOPL00007TIPOOPERAC FOREIGN KEY  ( IDTPOPSACAIXA, CDTPOPSACAIXA)
       REFERENCES TIPOOPERAC (IDENTRSAIDOP, CDTIPOOPER)
/

CREATE INDEX OPL00008_FK ON TIPOOPEROPL ( IDTPOPENCAIXA ASC, CDTPOPENCAIXA ASC)
/

ALTER TABLE TIPOOPEROPL
    ADD CONSTRAINT FKOPL00008TIPOOPERAC FOREIGN KEY  ( IDTPOPENCAIXA, CDTPOPENCAIXA)
       REFERENCES TIPOOPERAC (IDENTRSAIDOP, CDTIPOOPER)

/

ALTER TABLE NOTAFISCAL ADD DSNOTAORIGOLCX VARCHAR2(14) NULL
/

CREATE INDEX NOTAFISCAL_0001 on NOTAFISCAL (DSNOTAORIGOLCX  ASC)
/